Index: code/branches/presentation/src/modules/docking/Dock.cc
===================================================================
--- code/branches/presentation/src/modules/docking/Dock.cc	(revision 8667)
+++ code/branches/presentation/src/modules/docking/Dock.cc	(revision 8700)
@@ -63,5 +63,4 @@
     }
 
-
     void Dock::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -79,5 +78,4 @@
         XMLPortEventSink(Dock, BaseObject, "execute", execute, xmlelement, mode);
     }
-
 
     bool Dock::execute(bool bTriggered, BaseObject* trigger)
@@ -109,5 +107,5 @@
         {
             // Add player to this Docks candidates
-            candidates.insert(player);
+            candidates_.insert(player);
 
             // Show docking dialog
@@ -117,10 +115,9 @@
         {
             // Remove player from candidates list
-            candidates.erase(player);
-        }
-
-        return true;
-    }
-
+            candidates_.erase(player);
+        }
+
+        return true;
+    }
 
     void Dock::cmdDock()
@@ -144,9 +141,8 @@
     }
 
-
     bool Dock::dock(PlayerInfo* player)
     {
         // Check if player is a candidate
-        if(candidates.find(player) == candidates.end())
+        if(candidates_.find(player) == candidates_.end())
         {
             COUT(2) << "Dock::dock Player is not a candidate!" << std::endl;
@@ -154,11 +150,11 @@
         }
 
-        candidates.erase(player);
-        docked.insert(player);
-
-        if (animations.empty())
+        candidates_.erase(player);
+        docked_.insert(player);
+
+        if (animations_.empty())
             return dockingAnimationFinished(player);
         else
-            DockingAnimation::invokeAnimation(true, player, animations);
+            DockingAnimation::invokeAnimation(true, player, animations_);
 
         return true;
@@ -167,5 +163,5 @@
     bool Dock::dockingAnimationFinished(PlayerInfo* player)
     {
-        if(docked.find(player) == docked.end())
+        if(docked_.find(player) == docked_.end())
         {
             COUT(2) << "Dock::dockingAnimationFinished Player is not currently docked." << std::endl;
@@ -173,5 +169,5 @@
         }
 
-        DockingEffect::invokeEffect(true, player, effects);
+        DockingEffect::invokeEffect(true, player, effects_);
         return true;
     }
@@ -180,5 +176,5 @@
     {
         // Check if player is docked to this Dock
-        if(docked.find(player) == docked.end())
+        if(docked_.find(player) == docked_.end())
         {
             COUT(2) << "Dock::undock Player is not docked to this Dock." << std::endl;
@@ -186,13 +182,13 @@
         }
 
-        docked.erase(player);
-        candidates.insert(player);
-
-        DockingEffect::invokeEffect(false, player, effects);
-
-        if (animations.empty())
+        docked_.erase(player);
+        candidates_.insert(player);
+
+        DockingEffect::invokeEffect(false, player, effects_);
+
+        if (animations_.empty())
             return undockingAnimationFinished(player);
         else
-            DockingAnimation::invokeAnimation(false, player, animations);
+            DockingAnimation::invokeAnimation(false, player, animations_);
 
         return true;
@@ -204,5 +200,4 @@
     }
 
-
     unsigned int Dock::getNumberOfActiveDocks()
     {
@@ -211,5 +206,5 @@
         for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
         {
-            if(it->candidates.find(player) != it->candidates.end())
+            if(it->candidates_.find(player) != it->candidates_.end())
                 i++;
         }
@@ -222,5 +217,5 @@
         for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
         {
-            if(it->candidates.find(player) != it->candidates.end())
+            if(it->candidates_.find(player) != it->candidates_.end())
             {
                 if(index == 0)
@@ -232,9 +227,8 @@
     }
 
-
     bool Dock::addEffect(DockingEffect* effect)
     {
         assert(effect);
-        effects.push_back(effect);
+        effects_.push_back(effect);
         return true;
     }
@@ -242,5 +236,5 @@
     const DockingEffect* Dock::getEffect(unsigned int i) const
     {
-        for (std::list<DockingEffect*>::const_iterator effect = this->effects.begin(); effect != this->effects.end(); ++effect)
+        for (std::list<DockingEffect*>::const_iterator effect = this->effects_.begin(); effect != this->effects_.end(); ++effect)
         {
             if(i == 0)
@@ -255,5 +249,5 @@
         assert(animation);
         animation->setParent(this);
-        animations.push_back(animation);
+        animations_.push_back(animation);
         return true;
     }
@@ -261,5 +255,5 @@
     const DockingAnimation* Dock::getAnimation(unsigned int i) const
     {
-        for (std::list<DockingAnimation*>::const_iterator animation = this->animations.begin(); animation != this->animations.end(); ++animation)
+        for (std::list<DockingAnimation*>::const_iterator animation = this->animations_.begin(); animation != this->animations_.end(); ++animation)
         {
             if(i == 0)
@@ -270,3 +264,2 @@
     }
 }
-
Index: code/branches/presentation/src/modules/docking/Dock.h
===================================================================
--- code/branches/presentation/src/modules/docking/Dock.h	(revision 8667)
+++ code/branches/presentation/src/modules/docking/Dock.h	(revision 8700)
@@ -55,44 +55,47 @@
         : public StaticEntity
     { // tolua_export
-    public:
-        Dock(BaseObject* creator);
-        virtual ~Dock();
+        public:
+            Dock(BaseObject* creator);
+            virtual ~Dock();
 
-        // Trigger interface
-        bool execute(bool bTriggered, BaseObject* trigger);
+            // Trigger interface
+            bool execute(bool bTriggered, BaseObject* trigger);
 
-        // XML interface
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            // XML interface
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
 
-        // XML functions
-        bool addEffect(DockingEffect* effect); //!< Add a DockingEffect to the Dock.
-        const DockingEffect* getEffect(unsigned int index) const; //!< Get the DockingEffect at a given index.
-        bool addAnimation(DockingAnimation* animation); //!< Add a DockingAnimation to the Dock.
-        const DockingAnimation* getAnimation(unsigned int index) const; //!< Get the DockingAnimation at a given index.
+            // XML functions
+            bool addEffect(DockingEffect* effect); //!< Add a DockingEffect to the Dock.
+            const DockingEffect* getEffect(unsigned int index) const; //!< Get the DockingEffect at a given index.
+            bool addAnimation(DockingAnimation* animation); //!< Add a DockingAnimation to the Dock.
+            const DockingAnimation* getAnimation(unsigned int index) const; //!< Get the DockingAnimation at a given index.
 
-        // Docking/undocking logic, checks conditions and invokes the DockingAnimations
-        bool dock(PlayerInfo* player); //!< Returns true if given player docked successfully (player must be a candidate)
-        bool undock(PlayerInfo* player); //!< Undocks a player (player must be docked)
+            // Docking/undocking logic, checks conditions and invokes the DockingAnimations
+            bool dock(PlayerInfo* player); //!< Returns true if given player docked successfully (player must be a candidate)
+            bool undock(PlayerInfo* player); //!< Undocks a player (player must be docked)
 
-        // Animation logic
-        bool dockingAnimationFinished(PlayerInfo* player); //!< Called when a docking animation finished
-        bool undockingAnimationFinished(PlayerInfo* player); //!< Called when a undocking animation finished
+            // Animation logic
+            bool dockingAnimationFinished(PlayerInfo* player); //!< Called when a docking animation finished
+            bool undockingAnimationFinished(PlayerInfo* player); //!< Called when a undocking animation finished
 
-        // LUA interface
-        void dock() { this->dock(HumanController::getLocalControllerSingleton()->getPlayer()); } // tolua_export
-        static unsigned int getNumberOfActiveDocks(); // tolua_export
-        static Dock* getActiveDockAtIndex(unsigned int index); // tolua_export
+            // LUA interface
+            // tolua_begin
+            void dock()
+                { this->dock(HumanController::getLocalControllerSingleton()->getPlayer()); }
+            static unsigned int getNumberOfActiveDocks();
+            static Dock* getActiveDockAtIndex(unsigned int index);
+            // tolua_end
 
-        // Console commands
-        static void cmdDock();
-        static void cmdUndock();
+            // Console commands
+            static void cmdDock();
+            static void cmdUndock();
 
-    private:
-        std::set<PlayerInfo*> candidates; //!< A set of all players which are allowed to dock using the console command.
-        std::set<PlayerInfo*> docked; //!< A set of all docked players
+        private:
+            std::set<PlayerInfo*> candidates_; //!< A set of all players which are allowed to dock using the console command.
+            std::set<PlayerInfo*> docked_; //!< A set of all docked players
 
-        std::list<DockingEffect*> effects; //!< The list of DockingEffects to be executed when a player docks.
-        std::list<DockingAnimation*> animations; //!< The list of DockingAnimations to be executed before a player docks
+            std::list<DockingEffect*> effects_; //!< The list of DockingEffects to be executed when a player docks.
+            std::list<DockingAnimation*> animations_; //!< The list of DockingAnimations to be executed before a player docks
     }; // tolua_export
 } // tolua_export
Index: code/branches/presentation/src/modules/docking/DockingTarget.cc
===================================================================
--- code/branches/presentation/src/modules/docking/DockingTarget.cc	(revision 8667)
+++ code/branches/presentation/src/modules/docking/DockingTarget.cc	(revision 8700)
@@ -49,21 +49,11 @@
     }
 
-
     void DockingTarget::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
         SUPER(DockingTarget, XMLPort, xmlelement, mode);
-        XMLPortParam(DockingTarget, "name", setName, getName, xmlelement, mode);
 
         COUT(4) << "DockingTarget with name '" << this->getName() << "' created.." << std::endl;
     }
 
-
-    void DockingTarget::setName(const std::string& str) {
-        this->name_ = str;
-    }
-
-    const std::string& DockingTarget::getName() const {
-        return this->name_;
-    }
 }
 
Index: code/branches/presentation/src/modules/docking/DockingTarget.h
===================================================================
--- code/branches/presentation/src/modules/docking/DockingTarget.h	(revision 8667)
+++ code/branches/presentation/src/modules/docking/DockingTarget.h	(revision 8700)
@@ -54,7 +54,4 @@
     class _DockingExport DockingTarget : public StaticEntity
     {
-        private:
-            std::string name_;
-
         public:
             DockingTarget(BaseObject* creator);
@@ -63,6 +60,4 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-            virtual void setName(const std::string& str);
-            virtual const std::string& getName() const;
     };
 
